%define pkg_name        Petal-Utils
%define pkg_version     0.06
%define rpm_pkg_version 0.06
%define rpm_pkg_release 1.n0i.1

Summary:       Useful template modifiers for Petal
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Petal/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build) >= 0.20
BuildRequires: perl(Test::More)
BuildRequires: perl(Date::Format)  >= 0.01
BuildRequires: perl(Petal)         >= 1.06
BuildRequires: perl(URI::Escape)   >= 3.0


%description
The Petal::Utils package contains commonly used Petal modifiers (or plugins),
and bundles them with an easy-to-use installation interface.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README TODO


%changelog
* Tue Sep 18 2007 Marius Feraru <altblue@n0i.net> - 0.06-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.06
